LoadResourceRendererBase (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.ajax4jsf.renderkit.LoadResourceRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class LoadResourceRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.LoadResourceRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.UserResourceRenderer2, org.ajax4jsf.resource.ResourceProduser

    public class LoadResourceRendererBase

extends org.ajax4jsf.renderkit.RendererBase
implements org.ajax4jsf.renderkit.UserResourceRenderer2

Author:
  shura

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`LoadResourceRendererBase()`

Method Summary
`void` | `encodeToHead(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadResourceRendererBase

    public LoadResourceRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### encodeToHead

    public void encodeToHead(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)
                      throws java.io.IOException

  Specified by:
    `encodeToHead` in interface `org.ajax4jsf.renderkit.UserResourceRenderer2`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.